[ Copyright (C) 2022  William R. Moore <william@nerderium.com>

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, version 3 of the License.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program. If not, see <https://www.gnu.org/licenses/>. ]

"Buttered Toast: Beside the Old Oak Tree" by "Masterful Interactions".
The story description is "".
The story headline is "An interactive fiction officially sponsored by Pepso".
Release along with cover art, an interpreter, library card, and the source text.
Include Buttered Toast Rules by William Moore.
Include Buttered Toast Basics by William Moore.
The release number is 1.

The player has a number called current score.
The current score of the player is 0.

Asking someone about something is speech. Telling someone about something is speech. Answering someone that something is speech. Asking someone for something is speech.

Looking is look.

The block giving rule is not listed in the check giving it to rules.

Significance is a kind of value. The significance is insignificant and significant.
Seeability is a kind of value. The seeability is seen and unseen.
Conversability is a kind of value. The conversability is spoken and unspoken.

A person has a significance. The significance of a person is usually insignificant. A person has a seeability. The seeability of a person is usually unseen. A person has a conversability. The conversability of a person is usually unspoken.
A thing has significance. The significance of a thing is usually insignificant.

When play begins:
	now the right hand status line is "Score: [current score of the player]".

Chapter 1 - Setting Up the Figures

Figure of Melkior is the file "melkior.jpg".
Figure of Buckethead is the file "buckethead.jpg".

Chapter 2 - Setting Up the Tables

Table of Melkior Responses
Response
"Melkior says 'You will kneel before me and Lord Death!'"
"Melkior says 'Would you like to try some of this black ichor?'"
"Melkior says 'I cannot believe that I was defeated by a dwarf and a multi-armed human.'"
"Melkior says 'Lord Death, save me!'"
"Melkior says 'Ailusherai! I will find you!'"

Table of Hank the Wino King Rants
Rant
"Hank the Wino King frowns. 'The rich oppress things.'"
"Hank the Wino King says 'The rich subjugate things. Look no further than Christianity!'"
"Hank the Wino King exclaims 'One of these days people will rise up in droves against the wealthy.'"
"Hank the Wino King furrows his brow, the deep lines showing his age, and says 'They say 'eat the rich' when I say 'let's just take their cash from them and run'.'"

Table of Mr Linendot Sayings
Saying
"Mr Linendot smiles and says 'Hi, kids! I'm Mr. Linendot the officially unofficial spokesperson of Pepso: the only drink made with real pepsin!'"
"Mr Linendot offers you an unmarked can and shouts 'Hi, kids! I'm Mr. Linendot! Try the new 'refreshing' flavor of Pepso: 'vanilla'!'"
"Mr Linendot frowns and says 'I'm legally required to use air quotes so as not to be sued by Pepso...again..."
"Mr Linendot says 'Hi, kids! I'm Mr. Linendot here to tell you about the delicious beverage Pepso. The only drink made with real pepsin and now comes in a new refreshing flavor of 'vanilla'. And remember kids, I can no longer say they are the official sponsor of the show as that has never been the case.' He drinks a Pepso 'And here comes my lunch...'"

Chapter 3 - Setting Up Non-Standard Rooms and Doors

Chapter 4 - Setting Up Actors

The Narrator is a person. They are in Poorly Lit Room. The significance of the Narrator is significant. The description is "The narrator is well-dressed and young looking. However, what their true form is beguiling. They look like they urgently want to speak with you.".
Amelia is a person. The description of Amelia is "Amelia is a slender woman wearing ruined aviator clothes. She has sandy blonde hair. She is totally drunk and appears to almost always be that way.".
Darcon is a person. The description is "He looks like a typical retail worker wearing a blue vest, white shirt, and blue pants. He is quietly muttering obscenities into his drink."
Buckethead is a person. The description is "That's right. THE Buckethead! He appears to be staring at his chickens, which are aimlessly pecking at and scratching the floor.".
Mr Linendot is a person. They are in UMKC. The description is "He has lines for limbs and dots for joints. His perfectly circular head only has dots for eyes and a line for a mouth.".
Melkior is a person. They are in Broadway & 47th. The description is "He is an Eldarim turned undead after pledging his life to Death himself. He is currently held together it would seem by just simple rags. There are severely damaged parts on his body from previous battles.".
Hank the Wino King is a person. They are in Central & 4th. The description is "A dishevelled man stands before you with long, matted, brown hair. The odor that eminates from them is an assault on the senses. Their long coat is greasy and grimey."

Chapter 5 - Setting Up Things

[ Key Things ]
The amulet of destiny is a thing. It is wearable. The description is "A bright and shiny amulet that weighs a bunch.".
The ring of awesomeness is a thing. It is wearable. The description is "An awesome-looking ring that fits your finger perfectly.".
The wide-brimmed hat of irregularity is a thing. It is wearable. The description is "A purple, wide-brimmed had with a feather stuck in the cheetah band.".
The fluffy cape of the damned is a thing. It is wearable. The description is "A fluffy, deep red cloak that one wears if they're of a certain profession.".
The diamond topped cane of justice is a thing. It is wearable. The description is "This can is black with gold tracings and a diamond top for a handle.".
The platform shoes of righteousness is a thing. It is wearable. The description is "These black shoes elevate you through extending the player to new heights.".

[ Other Things ]

Can of Vanilla Pepso is a thing. The description is "A can of 'delicious', 'refreshing', 'vanilla' Pepso.".
ye flask is a thing. The description is "It is a flask containing some unknown liquid.".

Chapter 6 - Setting Up the Actions

Before taking something when the noun is a thing and the significance of the noun is significant:
	increase the current score of the player by 5.

Before dropping something when the noun is a thing and the significance of the noun is significant:
	decrease the current score of the player by 5.

After reading a command:
	let N be "[the player's command]";
	if N is "take over kingdom",
		say "What kingdom, you dumple!?".

After speech when noun is Melkior:
	let rr be a random number from 1 to number of rows in Table of Melkior Responses;
	say "[Response in row rr of Table of Melkior Responses]".

After speech when noun is Hank the Wino King:
	let rr be a random number from 1 to number of rows in Table of Hank the Wino King Rants;
	say "[Rant in row rr of Table of Hank the Wino King Rants]".

After speech when noun is Mr Linendot:
	let rr be a random number from 1 to number of rows in Table of Mr Linendot Sayings;
	say "[Saying in row rr of Table of Mr Linendot Sayings]";
	if player is not carrying Can of Vanilla Pepso:
		say "[paragraph break]Mr Linendot says 'Have this can of 'vanilla' pepso on the house!'";
		move can of vanilla pepso to location of the player;
		silently try taking the can of vanilla pepso.

[ For displaying figures ]

After examining Melkior:
	display the Figure of Melkior.

After examining Buckethead:
	display the Figure of Buckethead.

Chapter 7 - The Game

[ The Beginning scene ]

The Beginning is a scene. The Beginning begins when play begins. The Beginning ends when the player is wearing the ring of awesomeness. The description of the Beginning is "Welcome to Buttered Toast: Final Battle.[line break][line break]We want to claim this is full of action, adventure, mystery, and love![line break][line break]In loving memory of Johnny von Soundstation."

After speech when the noun is Narrator and The Beginning is happening:
	move the ring of awesomeness to the location of the player;
	try silently taking ring of awesomeness;
	now the player is wearing ring of awesomeness;
	increase the current score of the player by 10.

The player is in Poorly Lit Room.

[ Act I ]
Act I is a scene. Act I begins when The Beginning ends.

When Act I begins:
	move the player to the Plaza.
